import request from '@/utils/request'

// 查询企业评价列表
export function listRanking(query) {
  return request({
    url: '/system/ranking/list',
    method: 'get',
    params: query
  })
}

// 查询企业评价详细
export function getRanking(rankingId) {
  return request({
    url: '/system/ranking/' + rankingId,
    method: 'get'
  })
}

// 新增企业评价
export function addRanking(data) {
  return request({
    url: '/system/ranking',
    method: 'post',
    data: data
  })
}

// 修改企业评价
export function updateRanking(data) {
  return request({
    url: '/system/ranking',
    method: 'put',
    data: data
  })
}

// 删除企业评价
export function delRanking(rankingId) {
  return request({
    url: '/system/ranking/' + rankingId,
    method: 'delete'
  })
}

// 导出企业评价
export function exportRanking(query) {
  return request({
    url: '/system/ranking/export',
    method: 'get',
    params: query
  })
}